#!/bin/bash

ROOT_UID=0
E_NOTROOT=67

if [ "$UID" -ne "$ROOT_UID" ]; then
    echo "To run the script require root privileges."
    exit $E_NOTROOT
fi

processor=$(uname -m)
param=$processor
if [ "$processor" == "x86_64" ]; then
    param="x86_64";
else
    param="x86";
fi

dir1=$0 
basedir=$(dirname "$0")
cd "$basedir"

# echo stop gldsd
if pgrep -x "gldsd" > /dev/null
then
    if [ -f /var/run/glds/gldsd.pid ]; then
       sh /etc/init.d/glds stop
    fi
else
    rm -rf /var/run/glds/gldsd.pid
fi

# copy script
install -c -m 755 -g root -o root ./glds /etc/init.d

mkdir -p "/opt/guardant/glds/sbin/"
install -c -m 755 -g root -o root ./$param/gldsd /opt/guardant/glds/sbin

# copy udev rules
install -c -m 655 -g root -o root 99-grdnt.rules /etc/udev/rules.d/

# create link
ln -sf /opt/guardant/glds/sbin/gldsd /usr/sbin/gldsd


# check OS type
if [ -e /etc/rc.d/init.d/functions ]; then
    INSTALL_OS="RedHat"
elif [ -e /etc/rc.status ]; then
    INSTALL_OS="SUSE"
elif [ -e /etc/debian_version ]; then
    INSTALL_OS="Debian"
else
    echo "Unsupported Linux distribution."
    exit 7
fi

# add daemon to autorun
case $INSTALL_OS in 
SUSE)
    insserv glds
    ;;
Debian)
    update-rc.d glds defaults
    ;;
RedHat)
    /sbin/chkconfig --add glds
    ;;
esac

# reload udev
udevadm control --reload-rules
udevadm trigger --subsystem-match=usb --action=add

#start gldsd
sh /etc/init.d/glds start



