#!/bin/bash
clear
ROOT_UID=0
E_NOTROOT=67

if [ "$UID" -ne "$ROOT_UID" ]; then
  echo "To run the script require root privileges."
  exit $E_NOTROOT
fi

# echo stop gldsd
if pgrep -x "gldsd" > /dev/null
then
    if [ -f /var/run/glds/gldsd.pid ]; then
       sh /etc/init.d/glds stop
    fi
else
    rm -rf /var/run/glds/gldsd.pid
fi

# check OS type
if [ -e /etc/rc.d/init.d/functions ]; then
    INSTALL_OS="RedHat"
elif [ -e /etc/rc.status ]; then
    INSTALL_OS="SUSE"
elif [ -e /etc/debian_version ]; then
    INSTALL_OS="Debian"
else
    echo "Unsupported Linux distribution."
    exit 7
fi

case $INSTALL_OS in
SUSE)
    insserv -r glds
    ;;
Debian)
    update-rc.d -f glds remove
    ;;
RedHat)
    /sbin/chkconfig --del glds
    ;;
esac

# remove files
rm -rf /usr/sbin/gldsd
rm -rf /etc/init.d/glds
rm -rf /etc/udev/rules.d/99-grdnt.rules
rm -rf /opt/guardant/glds

# reload udev
udevadm control --reload-rules
udevadm trigger --subsystem-match=usb --action=add


